Bug 172622 - Web Inspector: Reloading the page after switching from the Resource tab switches back
Summary: Web Inspector: Reloading the page after switching from the Resource tab switc...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-05-25 16:42 PDT by Devin Rousso
Modified: 2017-05-30 20:21 PDT (History)
4 users (show)

See Also:


Attachments
Patch (1.55 KB, patch)
2017-05-25 16:45 PDT, Devin Rousso
joepeck: review+
Details | Formatted Diff | Diff
Patch (2.98 KB, patch)
2017-05-26 13:36 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Rousso 2017-05-25 16:42:04 PDT
* STEPS TO REPRODUCE
1. Inspect <https://webkit.org>
2. Show the Resources tab
3. Show the Console tab
4. Cmd+R to reload the page

* EXPECTED
Console tab stays visible

* ACTUAL
Debugger tab is shown
Comment 1 Devin Rousso 2017-05-25 16:45:10 PDT
Created attachment 311316 [details]
Patch
Comment 2 Joseph Pecoraro 2017-05-26 13:25:21 PDT
Comment on attachment 311316 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=311316&action=review

> Source/WebInspectorUI/UserInterface/Views/ResourceSidebarPanel.js:433
> +        if (!this.visible)
> +            return;

Why don't other sidebars do this as well? Storage does. But why not Debugger/Search?

I suggest solving it for other tabs as well before it pops up on them.

Great sleuthing.
Comment 3 Devin Rousso 2017-05-26 13:36:41 PDT
Created attachment 311370 [details]
Patch
Comment 4 WebKit Commit Bot 2017-05-26 14:14:36 PDT
Comment on attachment 311370 [details]
Patch

Clearing flags on attachment: 311370

Committed r217505: <http://trac.webkit.org/changeset/217505>
Comment 5 WebKit Commit Bot 2017-05-26 14:14:41 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2017-05-30 20:21:07 PDT
<rdar://problem/32479702>